# Flow Modification
source: https://developer.mastercard.com/open-finance-europe/documentation/unlicensed/aiia-data/connect/flow-modification/index.md

It is possible to change a Connect Flow for better control of the data received. These modifications can be enabled by passing different query parameters to the `/v1/oauth/connect/` endpoint.

### Limiting bank and account choices {#limiting-bank-and-account-choices}

**Specific bank**   
By populating the `providerId` field with a provider ID value (can be fetched using /v2/providers endpoint), the bank selector screen will not be presented to the end user, and they will only be able to log in to the specified bank.

Additionally, it is possible to pass `bank_account_numbers` with an array of BBAN or IBAN numbers. If the end user logs in to the specified bank and consents to sharing their accounts, the accounts will automatically be pre-selected at the Account Selection screen in the Connect Flow.
Note: Using `bank_account_numbers` requires `providerId` to be also set.

**Specific range of banks**   
It is also possible to limit the end user to a specified range of banks, by passing a `providerId` and/or ISO country code value in the `providers` field. When a value is passed in this field, the end user will only be able to log in to those specified bank(s), because they will be the only ones displayed in the bank selector screen.

Banks can be specified in the following ways:

* Specify market(s) to include, using ISO country code  
  For example: \["SE"\] will include only banks in Sweden.
* Specify bank(s) to include, using providerId  
  For example: \["NO_TestBank", "DK_TestBank"\] will include only two banks.
* Specify a combination of both  
  For example: \["SE", "NO_TestBank"\] will include all banks in Sweden and a specific Norwegian bank.

**Exclude bank(s)**   
Alternatively, it is possible to exclude certain bank(s), by passing a `providerId` and/or ISO country code value in the `excludeProviders` field. When a value is passed in this field, the end user will not be able to log in to those specified bank(s) because they will not be displayed in the bank selector screen.

Banks can be excluded in the following ways:

* Specify market(s) to exclude, using ISO country code  
  For example: \["SE"\] will exclude all banks in Sweden.
* Specify bank(s) to exclude, using providerId  
  For example: \["NO_TestBank"\] will exclude a specific bank.
* Specify a combination of both  
  For example: \["SE", "NO_TestBank"\] will exclude all banks in Sweden and a specific Norwegian bank

Note: If a bank is included in the `providers` field, but its market is excluded in the `excludeProviders` field, then the bank will not be shown to the end user in the bank selector screen.

### Pre-filling email {#pre-filling-email}

`email` or `consentId` can be passed to the pre-fill email field in Connect Flow for improved user experience. The end user can still change it, and this does not force end user to login using that specific email.

### Changing the language {#changing-the-language}

`culture` can be passed to change the site's language, but the value must follow ISO 639-1 format. We currently support English (`en`), Danish (`da`), Swedish (`se`), Finnish (`fi`) and Norwegian (`no`). The browser's language is used by default.

### Requesting all accounts to be shared {#requesting-all-accounts-to-be-shared}

`selectAllAccounts` can be passed with value `true` to request (not force) the end user to consent to all new connected accounts as well as giving ability to check later whether the end user did or did not consent to all new connected accounts using the Get account selection endpoint.

API Reference: `GET /v1/consent/{consentId}/all-accounts-selected`

Note: `selectAllAccounts` only applies to our one-time flow
